{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Pencarian buku</title>
{% endblock meta %}

{% block content %}
<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>

<input id="keyword" placeholder="Masukkan kata kunci">
{% if user.is_authenticated %}
<article>Jumlah anda mengunjungi halaman ini adalah {{ jumlah_pencarian }} kali</article>
{% endif %}
<br/><br/>
<table class="table table-bordered table-dark">
    <thead>
        <tr>
          <th scope="col">Nama Buku</th>
          <th scope="col">Sampul Buku</th>
        </tr>
      </thead>
    <tbody id="daftar_isi">
    </tbody>
  </table>
<script type="text/javascript">
    $("#keyword").keyup(function(){
        var ketikan = $("#keyword").val();
        $.ajax({
            url:'/datas?q='+ketikan,
            success: function(data) {
                var data_items = data.items;
                $("#daftar_isi").empty();
                for (i = 0; i < data_items.length; i++) {
                    var judul = data_items[i].volumeInfo.title;
                    var gambar = data_items[i].volumeInfo.imageLinks.smallThumbnail;
                    $("#daftar_isi").append("<tr><td>"+ judul +"</td><td><img src="+ gambar +"></td></tr>");
                }
            }
        });
    })
</script>
{% endblock content %}